Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Mass Edit Price Grid Items

Request

Updates fields of specified Live Price Grid Items.

Specify the items in the request body by the id field.

Information: The id is the typedId without the PGI suffix. For example, the id attribute of the item with typedId = 649.PGI is 649.


Required PermissionRoles with the Required Permission
PRICEGRID_UPDATEEdit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The id of the Live Price Grid whose items you want to edit. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint.

Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.massedit/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "filterCriteria": {
        "_constructor": "AdvancedCriteria",
        "operator": "and",
        "criteria": [
          {
            "fieldName": "id",
            "operator": "inSet",
            "value": [
              "649",
              "650"
            ],
            "_constructor": "AdvancedCriteria"
          }
        ]
      },
      "massEditRecords": [
        {
          "fieldName": "manualResultPrice",
          "massEditOperator": "=",
          "fieldValue": 20,
          "precision": "2"
        }
      ]
    }
  }'

Responses

OK - The response contains "data":null as the mass edit task is a background process whose results are not yet available within the response time.

Bodyapplication/json
responseobjectrequired
response.​nodestringnon-emptyrequired
response.​dataany
response.​statusnumberrequired
Response
application/json
{ "response": { "node": "string", "data": null, "status": 0 } }

Update a Live Price Grid Item

Request

Updates a Price Grid Item.

To update items without a recalculation, use the /pricegridmanager.update/{id}/norecalc endpoint.


Required PermissionRoles with the Required Permission
PRICEGRID_UPDATEEdit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The ID of the Price Grid whose item you want to update. id is the typedId without PG suffix. For example, the id attribute of the item with typedId = 649.PG is 649. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint.

Bodyapplication/json

We have performed an update action on the comments field in our request sample >>>

dataobjectrequired
data.​typedIdstringnon-empty

typedId of the item you want to update.

data.​commentsstringnon-empty
oldValuesobject

Values of the object before the update. Especially important is typedId (to identify the object to update) and version (to detect date inconsistencies).

operationTypestringnon-empty

Must be 'update' or null or omitted.

textMatchStylestringnon-empty
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.update/{id}' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "typedId": "654.PGI",
      "comments": "a comment"
    },
    "oldValues": {
      "_key": "654.PGI",
      "_level": 0,
      "version": 0,
      "typedId": "654.PGI",
      "sku": "22222",
      "label": "Label Two",
      "unitOfMeasure": "EA",
      "priceGridId": 212,
      "manualEditVersion": 8,
      "manualPriceExpired": false,
      "createDate": "2021-11-08T16:53:21",
      "createdBy": 2147490696,
      "itemExtensions": {},
      "completeResultsAvailable": false
    },
    "operationType": "update",
    "textMatchStyle": "exact"
  }'

Responses

Example response

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "<node>", "data": [], "status": 0 } }

Update a Live Price Grid Item (No Recalculation)

Request

Updates a Price Grid Item without recalculation. Use this endpoint to skip recalculation of comments and manualResultPrice (Manual Override).


Required PermissionRoles with the Required Permission
PRICEGRID_UPDATEEdit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Administer LPG (PB_PRICEGRIDS)
Security
basic or X-PriceFx-jwt
Path
idstringrequired

The ID of the Price Grid whose item you want to update. id is the typedId without PG suffix. For example, the id attribute of the item with typedId = 649.PG is 649. You can retrieve the id of the LPG, for example, by calling the /fetch/PG endpoint.

Bodyapplication/json

We have performed an update action on the comments field in our request sample >>>

dataobjectrequired
data.​typedIdstringnon-empty

typedId of the item you want to update.

data.​commentsstringnon-empty
oldValuesobject

Values of the object before the update. Especially important is typedId (to identify the object to update) and version (to detect date inconsistencies).

operationTypestringnon-empty

Must be 'update' or null or omitted.

textMatchStylestringnon-empty
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricegridmanager.update/{id}/norecalc' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "typedId": "654.PGI",
      "comments": "a comment"
    },
    "oldValues": {
      "_key": "654.PGI",
      "_level": 0,
      "version": 0,
      "typedId": "654.PGI",
      "sku": "22222",
      "label": "Label Two",
      "unitOfMeasure": "EA",
      "priceGridId": 212,
      "manualPriceExpired": false,
      "createDate": "2021-11-08T16:53:21",
      "createdBy": 2147490696,
      "itemExtensions": {},
      "completeResultsAvailable": false
    },
    "operationType": "update",
    "textMatchStyle": "exact"
  }'

Responses

Example response

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "node": "<node>", "data": [], "status": 0 } }

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas